// rc.h

#ifndef _rc_h_included_
#define _rc_h_included_

#include <libxml/tree.h>
#include <glib.h>

class Rc {
    static xmlDocPtr  _doc;    // rc.xml doc
    static xmlNodePtr _root;   // rc.xml root node
    static gchar     *_path;   // rc.xml path
    static int        _counter;// number or Rc objects
public:
    Rc();
    ~Rc();
    // get xml doc and root node
    static const xmlDocPtr doc();
    static const xmlNodePtr root();

    // backup rc.xml, restore original rc.xml, save changes to rc.xml
    static void backup();
    static void restore();
    static void save();

    // apply changes to running openbox
    static void apply();
};

#endif
